CMSIS-Core (Cortex-A): PL1 Physical Timer Compare Value register (CNTP_CVAL)

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
PL1 Physical Timer Compare Value register (CNTP_CVAL)
Core Register Access

Holds the 64-bit compare value for the PL1 physical timer. More...

## Functions
__STATIC_FORCEINLINE uint64_t | __get_CNTP_CVAL (void)
| Get CNTP_CVAL. More...

## Description

Consider __get_CNTP_CVAL and __set_CNTP_CVAL to access this register.

Consider using Generic Physical Timer Functions for controlling the PL1 Timer instead.

## Function Documentation

__STATIC_INLINE uint32_t __get_CNTP_CVAL | ( | void |  | ) |

This function returns the value of the 64 bits PL1 Physical Timer CompareValue Register (CNTP_CVAL).

Returns
  CNTP_CVAL Register value

This function returns the value of the PL1 Physical Timer Compare Value register (CNTP_CVAL).